<?php
// $Id: vcs.inc,v 1.7 2009/12/04 21:31:59 boombatower Exp $
/**
 * @file
 * Provide Version control system interface for performing review operations.
 *
 * @author Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Version control system interface for performing review operations.
 */
interface PIFRClientReviewVCS {

  /**
   * Perform a checkout.
   *
   * @param string $directory Directory to place the code in.
   * @param string $url Checkout URL containing all necessary repository info.
   * @param string $branch Branch indentifier.
   * @return boolean TRUE if successfull, otherwise FALSE.
   */
  public function checkout($directory, $url, $branch);

  /**
   * Apply a patch to the codebase.
   *
   * @param string Location of patch file.
   * @return boolean TRUE if successfull, otherwise FALSE.
   */
  public function apply($patch);

  /**
   * Get a list of the files changed by a patch.
   *
   * @param string Location of patch file.
   * @return boolean TRUE if successfull, otherwise FALSE.
   */
  public function get_changed_files($patch);

  /**
   * Get a display value for the checkout information.
   *
   * @return string Display value.
   */
  public function get_display($url, $branch);
}
